<?php
/**
 * The Header for our theme.
 * @package Mega Construction
 */

?><!DOCTYPE html>

<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width">
  <link rel="profile" href="http://gmpg.org/xfn/11">
  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php /** slider section **/ ?>

<div class="logo">
    <?php if( has_custom_logo() ){ mega_construction_the_custom_logo();
     }else{ ?>
    <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
    <?php $description = get_bloginfo( 'description', 'display' );
    if ( $description || is_customize_preview() ) : ?> 
      <p class="site-description"><?php echo esc_html($description); ?></p>       
    <?php endif; }?>
</div>
<div class="slider-main">
  <?php
    // Get pages set in the customizer (if any)
    $pages = array();
    for ( $mega_construction_count = 1; $mega_construction_count <= 5; $mega_construction_count++ ) {
      $mod = absint( get_theme_mod( 'mega_construction_slidersettings-page-' . $mega_construction_count ) );
      if ( 'page-none-selected' != $mod ) {
        $pages[] = $mod;
      }
    }
    if( !empty($pages) ) :
      $args = array(
        'posts_per_page' => 5,
        'post_type' => 'page',
        'post__in' => $pages,
        'orderby' => 'post__in'
      );
      $query = new WP_Query( $args );
      if ( $query->have_posts() ) :
        $mega_construction_count = 1;
        ?>
        <div id="slider" class="nivoSlider">
          <?php
            $mega_construction_n = 0;
          while ( $query->have_posts() ) : $query->the_post();
              $mega_construction_n++;
              $mega_construction_slideno[] = $mega_construction_n;
              $mega_construction_slidetitle[] = esc_html(get_the_title());
              $mega_construction_slidecontent[] = esc_html(get_the_excerpt());
              $mega_construction_slidelink[] = esc_url( get_permalink() );
              ?>
                <img src="<?php the_post_thumbnail_url('full'); ?>" title="#slidecaption<?php echo esc_attr( $mega_construction_n ); ?>" />
              <?php
            $mega_construction_count++;
          endwhile;
          wp_reset_postdata();
          ?>
        </div>
        <?php
        $mega_construction_k = 0;
          foreach( $mega_construction_slideno as $mega_construction_sln ){ ?>
            <div id="slidecaption<?php echo absint( $mega_construction_sln ); ?>" class="nivo-html-caption">
              <div class="slide-cap  ">
                <div class="container">
                  <h2><?php echo esc_html( $mega_construction_slidetitle[$mega_construction_k] ); ?></h2>
                  <p><?php echo esc_html( $mega_construction_slidecontent[$mega_construction_k] ); ?></p>
                  <div class="read">
                    <a class="read-more" href="<?php echo esc_url( $mega_construction_slidelink[$mega_construction_k] ); ?>"><?php esc_html_e( 'FIND OUT MORE','mega-construction' ); ?><i class="fa fa-caret-right" aria-hidden="true"></i></a>
                  </div>
                </div>
              </div>
            </div>
            <?php $mega_construction_k++;
        }
      else : ?>
          <div class="header-no-slider"></div>
        <?php
      endif;
    else : ?>
        <div class="header-no-slider"></div>
    <?php
    endif; 
  ?>
</div>

<div id="header">
  <div class="menu-sec">
    <div class="container">
      <div class="toggle"><a class="toggleMenu" href="#"><?php esc_html_e('Menu','mega-construction'); ?></a></div>
      <div class="row">
        <div class="menubox col-md-10 col-sm-10">
          <div class="nav">
              <?php wp_nav_menu( array('theme_location'  => 'primary') ); ?>
          </div>
        </div>
        <div class="search-box col-md-2 col-sm-2">
          <span><i class="fas fa-search"></i></span>
        </div>
      </div>
      <div class="serach_outer">
        <div class="closepop"><i class="far fa-window-close"></i></div>
        <div class="serach_inner">
          <?php get_search_form(); ?>
        </div>
      </div>      
    </div>
  </div>
</div>
   